require(['dojo/aspect', 'epi/dependency', 'addon/command/GLComponentCommand'], function(aspect, dependency, GLComponentCommand) {
	var handle,
	key = 'epi.cms.globalToolbar',
	registry = dependency.resolve('epi.globalcommandregistry'),
	callback = function(identifier, provider) {
		if(identifier !== key) {
			return;
		}
		provider.addCommand(new GLComponentCommand(), {
			showLabel: true,
			showTooltip:true
		});
			handle.remove();
		};
	handle = aspect.after(registry, 'registerProvider', callback, true);
});