define([
	'dojo/_base/declare', 'epi/routes',
	'epi/shell/widget/Iframe'
], function(declare, routes, Iframe) {
	return declare([Iframe], {
		baseUrl:null, //'~/EPiServer.Translation/UI/PageTranslation.aspx',//

		constructor: function() {
			this.baseUrl = routes.getActionPath({
				path: 'ui/PageTranslation.aspx',
				controller:'views',
				moduleArea: 'GlobalLink.Translation'
			});
		},

		updateView: function(data) {
			this.load(this.baseUrl, {
				query: {
					id: data.contentLink
				}
			});
		}
	});
});